<?php
require_once ("../config.php");

$protocol = isset($_SERVER['REQUEST_SCHEME']) ? $_SERVER['REQUEST_SCHEME'] : 'http';
$host = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : 'www.localhost';
//$uri = isset($_SERVER['REQUEST_URI']) ? $_SERVER['REQUEST_URI'] : '/';

$cacheFile = "gemeinden.html";
$url = $protocol . '://' . $host . "/statistics/gemeinden.php";
//$cachetime = 3600; // Defined in config.php

if (file_exists($cacheFile) && (time() - filemtime($cacheFile) < $cachetime)) {
    // Cache ist gültig, geben Sie den gecachten Inhalt aus
    include($cacheFile);
} else {
    ob_start(); // Starten des Ausgabe-Puffers
    $content = file_get_contents($url);
    if ($content === false) {
        echo "Fehler beim Abrufen der Seite.";
    }
    file_put_contents($cacheFile, $content); // Speichern Sie die Seite im Cache
    echo $content;
    ob_end_flush(); // Beenden des Ausgabe-Puffers und Senden der Seite an den Browser
}